python3-gdcm_2.8.8-6_amd64.deb


Advertisement

Description

python3-gdcm - Grassroots DICOM Python bindings

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename python3-gdcm_2.8.8-6_amd64.deb
Package name python3-gdcm
Package version 2.8.8
Package release 6
Package architecture amd64
Package type deb
Category python
Homepage http://gdcm.sourceforge.net/
License -
Maintainer Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Download size 613.02 KB
Installed size 3.68 MB
Grassroots DiCoM is a C++ library for DICOM medical files. It is
automatically wrapped to python/C#/Java (using swig). It supports
RAW,JPEG (lossy/lossless),J2K,JPEG-LS, RLE and deflated.
Python bindings to the GDCM DICOM library.

Alternatives

Package Version Architecture Repository
python3-gdcm_2.8.8-6_i386.deb 2.8.8 i386 Debian Main
python3-gdcm - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libgdcm2.8 = 2.8.8-6
libstdc++6 >= 5.2
python3 >= 3.7~
python3 << 3.8
python3:any -

Conflicts

Name Value
python-gdcm -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package python3-gdcm_2.8.8-6_amd64.deb
Source Package gdcm

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python3-gdcm deb package:
    # sudo apt-get install python3-gdcm

Files

Path
/usr/lib/python3/dist-packages/_gdcmswig.cpython-37m-x86_64-linux-gnu.so
/usr/lib/python3/dist-packages/gdcm.py
/usr/lib/python3/dist-packages/gdcmswig.py
/usr/share/doc/python3-gdcm/changelog.Debian.gz
/usr/share/doc/python3-gdcm/copyright

Changelog

2019-01-13 - Gert Wollny <gewo@debian.org>
gdcm (2.8.8-6) unstable; urgency=medium
* d/p/fiX_charls_2: Fix compilation with CharLS-2.0
2018-11-28 - Mattia Rizzolo <mattia@debian.org>
gdcm (2.8.8-5) unstable; urgency=medium
* Team upload.
* Upload to unstable.
* Set Rules-Requires-Root:no.
* Improve the libvtkgdcm2.8a symbols patters to not include a symbol that
should not be optional.  Thanks to jrtc27 for the feedback.
* Add patch from Gianfranco Costamagna to fix build with poppler 0.71.
2018-11-25 - Mattia Rizzolo <mattia@debian.org>
gdcm (2.8.8-4) experimental; urgency=medium
* Team upload.
* Update the symbols file including changes for ppc64, ppc64el, s390x.
* Rename the libvtkgdcm2.8 package to libvtkgdcm2.8a, following the ABI
break happened in version 2.8.7-2.  Closes: #914483
2018-11-24 - Mattia Rizzolo <mattia@debian.org>
gdcm (2.8.8-3) experimental; urgency=medium
* Team upload.
* Introduce a .symbols file for libvtkgdcm2.
* Drop d/source/options setting compression to xz, now the default.
2018-10-28 - Gert Wollny <gewo@debian.org>
gdcm (2.8.8-2) unstable; urgency=medium
* Fix upload (forgot to pull latest changes)
* Remove d/p/5083513138fc90aa602b93293d2e44ae73e883b0.patch
(applied upstream)
2018-10-28 - Gert Wollny <gewo@debian.org>
gdcm (2.8.8-1) unstable; urgency=medium
* New upstream version 2.8.8
* d/p: remove fix-vtkjava-build-dir.patch (applied upstream)
* d/p: update patches
* d/gdcm-doc.doc-base: update version number
2018-10-22 - Gianfranco Costamagna <locutusofborg@debian.org>
gdcm (2.8.7-5) unstable; urgency=medium
* Team upload
* d/p/5083513138fc90aa602b93293d2e44ae73e883b0.patch
- grab an additional fix from Ubuntu
2018-10-22 - Gianfranco Costamagna <locutusofborg@debian.org>
gdcm (2.8.7-4) unstable; urgency=medium
* Team upload
* debian/patches/5083513138fc90aa602b93293d2e44ae73e883b0.patch:
- adapt to new poppler 0.69 with upstream patch
2018-10-01 - Gert Wollny <gewo@debian.org>
gdcm (2.8.7-3) unstable; urgency=medium
* d/control: Add conflict with python2 packages, Closes: #908472
2018-09-09 - Gert Wollny <gewo@debian.org>
gdcm (2.8.7-2) unstable; urgency=medium
[ Andreas Tille ]
* Remove myself from Uploaders
[ Gert Wollny ]
* switch to python3 Closes: #906535
* d/control.in: Depend on python3 versions of packages
* d/dontrol: Build-depend only on default python3 version,  the
current gdcm build  only supports one python version at a time
* d/.gitlab: build from master branch

See Also

Package Description
python3-gdl_0.9.9-10_amd64.deb Python interface for the GNU Data Language
python3-gdspy_1.3.1-3_amd64.deb Python library for GDSII handling (Python 3)
python3-gear_0.5.8-4_all.deb Pure Python Async Gear Protocol Library - Python 3.x
python3-gencpp_0.6.0-4_all.deb C++ Robot OS message and service generators - Python 3 version
python3-genlisp_0.4.16-4_all.deb Common-Lisp Robot OS message and service generators - Python 3 version
python3-genmsg_0.5.11-2_all.deb Python 3 library for generating Robot OS message and service data
python3-genpy_0.6.7-3_all.deb Python 3 Robot OS message and service generators
python3-genshi_0.7.1-5_all.deb Python XML-based template engine - Python 3.x
python3-genty_1.3.0-1_all.deb Allows you to run a test with multiple data sets (Python 3)
python3-geoalchemy2_0.5.0-1_all.deb SQLAlchemy extension for spatial databases using PostGIS
python3-geographiclib_1.49-4_amd64.deb Python 3 implementation of GeographicLib
python3-geoip2_2.9.0+dfsg1-1_all.deb Python geoip2 API for web services and databases - Python 3.x
python3-geoip_1.3.2-2_amd64.deb Python3 bindings for the GeoIP IP-to-country resolver library
python3-geojson_2.4.1-1_all.deb Python 3 bindings and utilities for GeoJSON
python3-geolinks_0.2.0-3_all.deb Python 3 Library for using geospatial links (catalogue interoperablity)
Advertisement
Advertisement